ranges::views::repeat_n_fn Struct Reference

## Synopsis of methods

constexpr repeat_n_fn | repeat_n {}

## Public Member Functions

template<typename Val >
CPP_TEMPLATE_AUX_0 | r (requires ` copy_constructible< Val >) rrrepeat_n_view< Val > operator()(Val value

## Public Attributes

CPP_TEMPLATE_AUX_0 std::ptrdiff_t n | const

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 std::ptrdiff_t n ranges::views::repeat_n_fn::const

Initial value:
{
return repeat_n_view<Val>{std::move(value), n}
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52